Subject: Re: [PATCH] Blktrace : conversion to tracepoint define

From: Mathieu Desnoyers <[email-masked]>
Date: Wed, 26 Nov 2008 06:27:13 -0500

* Ingo Molnar ([email-masked]) wrote:
> 
> * Ingo Molnar <[email-masked]> wrote:
> 
> > Moving the tracepoint definitions into blktrace.c consolidates it 
> > nicely without cluttering the various block/* files and ties their 
> > presence to CONFIG_BLK_DEV_IO_TRACE as well.
> 
> hm, the latter is not a good idea: the tracepoints will be undefined 
> when the io tracer is disabled - not good. I'll spread them out like 
> you did.
> 
> 	Ingo

Ah, yes, I thought there should be good reason for me doing things the
way I did them. ;)

Mathieu

-- 
Mathieu Desnoyers
OpenPGP key fingerprint: 8CD5 52C3 8E3C 4140 715F  BA06 3F25 A8FE 3BAE 9A68